@import '../variables.scss'; 

.header {
    width: 100%;
    background-color: $primary-bg;
    &__wrapper {
        max-width: 1280px;
        padding: 23px 10px;
        margin: 0 auto;
        background-color: $primary-bg;
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        align-items: center;
        @media (max-width: 561px) {
            padding: 23px 18px;
        }
    }
    &__logo {

        @media (max-width: 561px) {
            display: none;
        }
        &--mobile {
            @media (min-width: 561px) {
                display: none;
            }
            
        }
    }
    
    &__menu {
        margin-left: 37px;
        @media (max-width: 993px) {
            display: none;
        }
    }
    &__menu-list {
        max-width: 100%;
        display: flex;
        justify-content: space-between;

    }
    &__menu-item {
        color: $primary-color-text;
        margin-left: 47px;
        &:first-child {
            margin-left: 0;
        }
        &:hover {
            opacity: 0.5;
        }
    }
    &__menu-link {
        color: $primary-color-text;
        text-transform: uppercase;
        font-family: 'FuturalDemiC';
        font-size: 14px;
        line-height: 16px;
    }
    &__phone {
        display: flex;
        align-items: center;
        a {
            color: $primary-color-text-extra;
            font-family: 'FuturalDemiC';
            font-size: 14px;
            line-height: 16px;
            text-align: right;
            text-decoration-line: underline;
            @media (max-width: 561px) {
                font-size: 12px;
                line-height: 14px;
                text-align: right;
                color: $primary-color-text;
                text-decoration: none;
            }
        }
        &:hover {
            opacity: 0.5;
        }
    }
    button {
        @media (max-width: 1201px) {
            display: none;
        }
    }
    &__menu-list {
        display: flex;
        align-items: center;
        li {
            padding: 10px 0;
        }
    }
    @media (max-width: 1201px) {
        
    }
    }